## org.gnu.gdk
Class PropertyState

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gdk.PropertyState

public class PropertyState
extends Enum

Field Summary
`static PropertyState` `DELETE`
`static PropertyState` `NEW_VALUE`

Fields inherited from class org.gnu.glib.Enum
`value_`

Method Summary
`PropertyState` `and(PropertyState other)`
`static PropertyState` `intern(int value)`
`PropertyState` `or(PropertyState other)`
`boolean` `test(PropertyState other)`
`PropertyState` `xor(PropertyState other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NEW_VALUE

    public static final PropertyState NEW_VALUE

### DELETE

    public static final PropertyState DELETE

Method Detail

### intern

    public static PropertyState intern(int value)

### or

    public PropertyState or(PropertyState other)

### and

    public PropertyState and(PropertyState other)

### xor

    public PropertyState xor(PropertyState other)

### test

    public boolean test(PropertyState other)